#!/usr/bin/perl

use Statistics::Descriptive;

open f1,$ARGV[0] or die "usage f1 f2\n";
open f2,$ARGV[1] or die "usage f1 f2\n";


$n1 = $n2 = 0;


while ($_ = <f1>) {
	chomp;
	next unless /^final/;
	s/\*//;
	@F = split /\s+/;
	shift @F;
	shift @F;

	$data1[$n1++] = [@F];
}

while ($_ = <f2>) {
	chomp;
	next unless /^final/;
	s/\*//;
	@F = split /\s+/;
	shift @F;
	shift @F;

	$data2[$n2++] = [@F];
}

die "n1 != n2\n" unless $n1 == $n2;

$err = Statistics::Descriptive::Full->new();

for $n (0..$#data1) {
	$d0 = $data1[$n]->[0] - $data2[$n]->[0];
	$d1 = $data1[$n]->[1] - $data2[$n]->[1];

	$err->add_data(sqrt($d0*$d0 + $d1*$d1));
}

$mean = $err->mean();
$dev = $err->standard_deviation();
$max = $err->max();

print "$mean\t$max\n";


